# Wallet

## &#x20;Submit a payout by Wallet in Pakistan.

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Wallet in Pakistan.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                     |
| ---------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| name                                                 | string | <p>Beneficiary's name, Not required<br>- length must between 5 and 100 -</p>                                                    |
| account<mark style="color:red;">\*</mark>            | string | <p>Beneficiary's wallet account<br>- 11 digits, start with 03 -</p>                                                             |
| account\_type<mark style="color:red;">\*</mark>      | string | Fixed Value: PHONE                                                                                                              |
| fee\_bear<mark style="color:red;">\*</mark>          | string | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p>                                          |
| custom\_code<mark style="color:red;">\*</mark>       | string | <p>Merchant's order id. </p><p>- Max.50 -</p>                                                                                   |
| method<mark style="color:red;">\*</mark>             | string | Fixed Value: Wallet                                                                                                             |
| channel<mark style="color:red;">\*</mark>            | string | Easypaisa or JazzCash                                                                                                           |
| country<mark style="color:red;">\*</mark>            | string | Fixed value: PAK, for Pakistan                                                                                                  |
| additional\_remark<mark style="color:red;">\*</mark> | string | <p>Additional Remark<br>- Max Length: 40 - </p>                                                                                 |
| notify\_url<mark style="color:red;">\*</mark>        | string | Where pagsmile will callback to                                                                                                 |
| arrival\_currency<mark style="color:red;">\*</mark>  | string | <p>Beneficiary's account currency.</p><p>- Fixed Value: PKR-</p>                                                                |
| source\_currency<mark style="color:red;">\*</mark>   | string | <p>Merchant's account currency</p><p>- supported: USD, GBP, EUR, PKR -</p>                                                      |
| amount\_type                                         | string | <p>Specify the amount value is fixed for merchant or beneficiary</p><p>- One of: source\_amount, arrival\_amount(default) -</p> |
| amount<mark style="color:red;">\*</mark>             | string | <p>Payout amount</p><p>- Min 50, Max 50,000 -</p>                                                                               |

{% tabs %}
{% tab title="200: OK success" %}

```javascript
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQBPE",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "50.01",
        "arrival_currency": "PKR",
        "source_amount": "50.01",
        "source_currency": "PKR",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request bad request" %}

```javascript
{
    "code": 4001000,
    "msg": "invalid parameter",
    "time": 1637224716,
    "data": {
        "err": "error detail message"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        "err": "error detail message"
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
      "name": "testname", //Not required
    * "account": "03******201", // just for test in sandbox. Always start with '03' and 11 digits in total.
    * "account_type": "PHONE",
    * "method": "Wallet",
    * "channel": "Easypaisa", //Easypaisa or JazzCash
    * "custom_code" : "custom_code9982674851738108",
    * "fee_bear": "merchant",
    * "amount": "50.01", 
    * "source_currency": "PKR",
    * "arrival_currency": "PKR",
    * "notify_url": "https://notify.url",
    * "additional_remark": "pagsmile payout test",
    * "country": "PAK"
}'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payout/submit-a-payout/pakistan/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
